import { ChangeDetectorRef } from '@angular/core';
import { Store } from '@ngxs/store';
import { SmzTableBuilder } from '../../../../builders/smz-tables/state-builder';
import { NotificationData, NotificationStatus } from '../../../../state/ui/notifications/notifications.model';
import { SmzTableState } from '../../../smz-tables/models/table-state';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NotificationsListComponent {
    private store;
    private cdf;
    notifications$: Observable<NotificationData[]>;
    hasRuningRequest$: Observable<boolean>;
    tableState: SmzTableState;
    status: typeof NotificationStatus;
    selected: NotificationData[];
    uiConfig: import("ngx-smz-ui").NgxSmzUiConfig;
    folders: {
        status: NotificationStatus[];
        icon: string;
        tooltip: string;
        rebuild: () => void;
        count$: Observable<number>;
    }[];
    currentFolder: {
        status: NotificationStatus[];
        icon: string;
        tooltip: string;
        rebuild: () => void;
        count$: Observable<number>;
    };
    constructor(store: Store, cdf: ChangeDetectorRef);
    buildBaseTable(): SmzTableBuilder<NotificationData>;
    setupInboxTable(): void;
    setupArchivedTable(): void;
    onSelect(event: NotificationData[]): void;
    refresh(): void;
    archive(event: NotificationData[]): void;
    moveToInbox(event: NotificationData[]): void;
    batchRemove(event: NotificationData[]): void;
    remove(event: NotificationData): void;
    navigate(event: NotificationData): void;
    openLink(event: NotificationData): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsListComponent, "smz-notifications-list", never, {}, {}, never, never, false, never>;
}
